<template>
  <div>
      <ul>
        <li v-for="(value,key) in msn" > 
           <p>O Campo {{ key }} é de preenchimento obrigatorio! </p>
        </li>
       </ul> 
     
      <form v-on:submit.prevent="save">
            <p>Title: <input type="text" name="title" v-model="title"></p>
            <p>DueDate: <input type="date" name="due_date" v-model="due_date"></p>
            <p><input type="submit" value="Criar Task"></p>
        </form>
       </br><router-link to="/"> Home</router-link>
  </div>
</template>

<script>
     import axios from 'axios'
    export default {

        name: 'TaskCreate',
        data () {
            return {
                title:'',
                due_date:'',        
                msn:''
            }  
        },

        methods: {
            save () {
            axios.post('http://localhost:8000/api/tasks', {
                title: this.title,
                due_date: this.due_date
            }).then(response => {
                if (response.data.errors) {
                    this.msn= response.data.errors
                } else {
                    this.$router.push('/tasks')
                }
            })
        }
    }
  }

</script>
